/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LabelSettings } from '../types/label-settings.interface';
import { Renderer2, SimpleChanges } from '@angular/core';
import { ProgressBarAnimation } from '../types/progressbar-animation.interface';
/**
 * @hidden
 */
export declare const formatValue: (value: number, min: number, max: number, label: boolean | LabelSettings) => string;
/**
 * @hidden
 */
export declare const validateRange: (min: number, max: number) => void;
/**
 * @hidden
 */
export declare const adjustValueToRange: (min: number, max: number, value: number) => number;
/**
 * @hidden
 */
export declare const calculatePercentage: (value: number, min: number, max: number) => number;
/**
 * @hidden
 */
export declare const calculateRatio: (min: number, max: number, value: number) => number;
/**
 * @hidden
 */
export declare const extractValueFromChanges: (changes: SimpleChanges, type: string, value: number) => number;
/**
 * @hidden
 */
export declare const runAnimation: (changes: SimpleChanges, animation: boolean | ProgressBarAnimation, previousValue: number, displayValue: number) => boolean;
/**
 * @hidden
 */
export declare const stopCurrentAnimation: (changes: SimpleChanges) => boolean;
/**
 * @hidden
 */
export declare const setProgressBarStyles: (props: {
    method: 'setStyle' | 'setAttribute';
    el: HTMLElement;
    attr: string;
    attrValue: string;
}[], renderer: Renderer2) => void;
/**
 * @hidden
 */
export declare const removeProgressBarStyles: (props: {
    method: 'removeStyle' | 'removeAttribute';
    el: HTMLElement;
    attr: string;
}[], renderer: Renderer2) => void;
/**
 * @hidden
 */
export declare const hasElementSize: (element: HTMLElement) => boolean;
